Version 4.0.826
- fixed: Integration with newer versions of browsers.

Version 4.0.824
- fixed: MS Edge integration.

Version 4.0.823
- fixed: Firefox integration.

Version 4.0.822
- fixed: the "Not a valid floating point value" error in some cases.

Version 4.0.817
- updated: Improved database loading speed.

Version 4.0.816
- fixed: Permission checks of nested folders and records when copying a folder.

Version 4.0.814
- fixed: The "Selected records only" export option does not work in some cases.

Version 4.0.811
- fixed: An error when viewing the action log from Password Manager XP Server.

Version 4.0.809
- fixed: The access violation error in the form filling wizard.

Version 4.0.808
- fixed: Column widths are reset after cloud sync in some cases.

Version 4.0.802
- fixed: AD authentication in some cases.
- fixed: Form fill parameters are not applied in some cases.

Version 4.0.799
- fixed: Initial setup of a cloud synchronization.

Version 4.0.791
- new: Check for duplicate database IDs.

Version 4.0.789
- fixed: A position of the selected folder is not retained after refresh.
- fixed: Main window size is not saved when ending the Windows session.

Version 4.0.786
- fixed: Unable to open the edit record window using Enter.

Version 4.0.785
- new: Added support for Microsoft Edge (Chromium).

Version 4.0.781
- fixed: Error "Incorrect attachment size" when extracting file attachments. The error happens when a record with file attachments is moved to other folder.
- fixed: Password Manager XP tries to repair file attachments when database is opened.

Version 4.0.780
- fixed: Installation of the Password Manager XP extension for Firefox 74+.

Version 4.0.770
- new: Option "Use classic category icons".

Version 4.0.769
- new: The Ctrl+N shortcut to create a new record.
- new: The Ctrl+F shortcut to search for records in the Form filling wizard.
- fixed: Do not mark database as modified when canceling creation of a new record.

Version 4.0.763
- updated: Removed database size limit for Cloud synchronization.

Version 4.0.762
- fixed: Authorization on Google Drive.

Version 4.0.761
- new: Synchronization with cloud storages - Google Drive and Dropbox.
- new: Password Manager XP for Android.
- new: Search option in the Form filling window.
- new: PNG images can be set as custom icons for records/folders.
- new: New records and folders inherit icon from the parent folder.
- improved: Windows 10 support.
- improved: Password generator.
- updated: UI and icons.

Version 3.3.741
- fixed: AD user authentication in some cases.
- updated: Support for the database format of version 4.

Version 3.3.737
- fixed: Database deletion.
- updated: Support for the database format of version 4.

Version 3.3.736
- fixed: The "Access denied" error when saving a database by a non-administrator user.

Version 3.3.733
- fixed: AD authentication error in some cases.

Version 3.3.732
- fixed: Synchronization of consecutive updates of the same object.

Version 3.3.726
- updated: It is possible to open a database and navigate to a folder using command line switches.

Version 3.3.722
- fixed: Log proper actions when records or folders are moved.
- fixed: Synchronization of moved records and folders.
- fixed: Errors during synchronization when fields structure is changed.

Version 3.3.718
- fixed: Detection of 64-bit version Firefox.

Version 3.3.713
- updated: Use more distinct color for selected folder.

Version 3.3.712
- fixed: UI issues on high DPI screens.

Version 3.3.705
- updated: Display a host name of Password Manager XP Server when a connection error occurs.

Version 3.3.703
- fixed: Support for monitors with different DPI settings.

Version 3.3.702
- updated: Speed up database loading and saving.

Version 3.3.701
- fixed: Slow search for non-administrator users in case of large database.

Version 3.3.695
- fixed: Issues with form filling.

Version 3.3.694
- fixed: Some issues with Firefox integration.

Version 3.3.693
- fixed: Form data saving in Firefox and Chrome in some cases.

Version 3.3.692
- updated: Italian translation.
- fixed: When Firefox is closed, Password Manager XP application is also closed.
- fixed: Constant query to update form data when submitting a form in a browser.

Version 3.3.690
- new: Integration with Chrome 64-bit.
- new: Integration with Firefox 64-bit version 50 and later.
- new: Integration with Firefox version 52 and later.
- new: Form filling in IFRAME content of web pages.
- new: Ask for administrator privileges when configuring browser integration if needed.
- new: Support for database format of the upcoming Password Manager XP 4.

Version 3.2.689
- new: Command line parameters /DbUser and /DbUserPassword to specify a user credentials for the /Add command.

Version 3.2.687
- fixed: Crash when synchronizing databases via the command line parameters.

Version 3.2.685
- updated: Improved log on speed when using Windows domain accounts.
- updated: More details in the error message during auto-backup.

Version 3.2.680
- updated: Italian translation.

Version 3.2.676
- fixed: Internet Explorer integration crash in some cases.

Version 3.2.675
- updated: Dropped support for WinCE synchronization.

Version 3.2.674
- fixed: AD authentication is some cases.

Version 3.2.673
- fixed: Form filling on some sites.

Version 3.2.672
- fixed: Error during the database synchronization in some cases.

Version 3.2.670
- fixed: Error when invoking Undo.

Version 3.2.669
- fixed: Error when enabling IE integration in some cases.

Version 3.2.665
- updated: Disabled outdated ciphers for TLS connections in Password Manager XP Server.

Version 3.2.663
- fixed: AD user authentication if the "Access this computer from the network" right is not granted for Everyone.

Version 3.2.659
- updated: Signed extension for Firefox.

Version 3.2.658
- fixed: Detection of Chrome in some cases.

Version 3.2.646
- fixed: The "Access denied" error while changing a database password in some cases.

Version 3.2.636
- updated: Disabled SSLv3 protocol support in Password Manager XP Server.

Version 3.2.629
- fixed: The "Access violation" error when saving a database.

Version 3.2.627
- fixed: Integration with Firefox 30.

Version 3.2.625
- fixed: Chrome integration can not be installed in some cases.
- fixed: Detection of Chrome installed using the .msi package.

Version 3.2.623
- fixed: Some issues with Chrome integration.

Version 3.2.622
- updated: Reworked integration with Chrome to fit new requirements for Chrome extensions.

Version 3.2.620
- fixed: Integration with Chrome.

Version 3.2.614
- fixed: Integration errors with Chrome 32.

Version 3.2.613
- fixed: Internet Explorer integration on 32-bit Windows.
- fixed: License check for other running instances.

Version 3.2.611
- fixed: Error during database opening when the "Automatically logon current Windows user" option is enabled.

Version 3.2.610
- new: Support for Enhanced Protected Mode in Internet Explorer on Windows 8 and Windows 8.1.
- new: Support for Internet Explorer 64-bit.
- new: Support for NT authentication on the latest versions of Windows Server.
- fixed: Tray icon menu on Windows 8.1.

Version 3.1.606
- update: Properly handle browser page zoom.

Version 3.1.598
- fixed: The "Access denied" error while invoking form filling in Internet Explorer in some cases.

Version 3.1.596
- fixed: integration with Internet Explorer 10.

Version 3.1.595
- fixed: Properly apply permissions when a Windows domain group is a member of an internal group.

Version 3.1.593
- fixed: Detection of Google Chrome in some cases.
- fixed: The "Target window is not responding" error when using hotkeys for form filling in Google Chrome.

Version 3.1.587
- updated: Improved performance of handling forms with many input fields.

Version 3.1.583
- fixed: Form filling issues on Windows 64-bit.

Version 3.1.578
- updated: Improved the password generator.

Version 3.1.570
- fixed: The "Access violation error" when saving a record after inserting/removing a removable device.

Version 3.1.567
- new: Handling of new HTML5 input types during form filling.

Version 3.1.565
- new: Write the product version and installation data into the registry.
- fixed: Copy to the clipboard for records without password fields.

Version 3.1.563
- fixed: Unexpected shutdown on Windows 8.
- fixed: Internet Explorer integration on Windows 8.
- fixed: Visual glitches on dark themes.
- fixed: Visual glitches when clicking on tray icon menu.

Version 3.1.560
- new: Firefox 10+ support.
- new: Opera 11.60+ support.
- fixed: File attachments corruption in some case.
- fixed: Error when saving a database after removing an attachment in some cases.
- fixed: Unable to activate other applications after restoring Password Manager XP from the tray icon in some cases.

Version 3.0.557
- fixed: Properly restore the default databases path in the options window.

Version 3.0.545
- fixed: The "List index out of bounds" error while searching in some cases.
- fixed: Incorrect detection of user profile path is some cases.

Version 3.0.541
- fixed: URL matching during form filling.

Version 3.0.540
- fixed: Unable to set the "Automatically update forms data in database" option to "Ask".

Version 3.0.539
- updated: French translation.

Version 3.0.538
- fixed: The "Access violation" error in some cases.

Version 3.0.537
- fixed: Random crashes of Password Manager XP plugin in Chrome.

Version 3.0.528
- new: Form filling support for TEXTAREA input fields.
- fixed: Internet Explorer integration when multiple tabs are opened.

Version 3.0.527
- fixed: Internet Explorer crash in some cases.

Version 3.0.525
- updated: Disabled the automatic form update by default.

Version 3.0.524
- fixed: Chrome is not detected if installed for all users.
- fixed: Password Manager XP integration prevents a browser shutdown when ending a user session.

Version 3.0.523
- fixed: Form filling in windows with embedded IE.
- fixed: Form filling in IE when some third-party toolbars are visible.
- fixed: The "Target window is not responding" error in some cases.

Version 3.0.520
- updated: Enable IE extensions when installing IE integration.
- updated: Italian translation.
- fixed: Fill out generic windows in proper order.

Version 3.0.518
- fixed: Internet Explorer was not found on some systems.

Version 3.0.517
- fixed: Form filling for authentication dialogs in Firefox worked only when performing a fresh install of the program.

Version 3.0.515
- new: Integration with Firefox 4.
- new: Integration with Google Chrome.
- new: Integration with Opera.
- new: The form filling function works for authentication dialogs in Firefox.
- new: The form filling function works for 64-bit applications.
- new: "Launch the application on Windows start" option.
- updated: The form filling function works for more applications.
- updated: Hotkeys work on 64-bit Windows.
- updated: Better support for Windows Vista and Windows 7.
- fixed: Stability issues of Internet Explorer integration.

Version 2.3.498
- updated: Do not try to set the global system hook on 64-bit versions of Windows.

Version 2.3.493
- updated: Italian translation.

Version 2.3.492
- updated: Hide "Enable hot keys when Password Manager XP is not running" on 64-bit versions of Windows, since this feature does not work in such environment.

Version 2.3.487
- new: Support for Firefox 3.6.

Version 2.3.486
- new: Partial support for Firefox 3.6.

Version 2.3.485
- fix: The application "freezes" the computer in some rare cases.

Version 2.3.483
- fix: Incorrect printing of multibyte characters.
- fix: PMHook.log was created in My Documents folder in release version of the program.

Version 2.3.480
- updated: Improved search and sorting speed.

Version 2.3.477
- updated: Improved search speed.
- updated: Export line breaks to .csv file using Excel compatible way.

Version 2.3.473
- fix: Major performance drop when many databases are used.

Version 2.3.471
- fix: Hotkeys stop working in some cases.
- fix: During form filling, the same record is listed twice in record selection window in some cases.

Version 2.3.470
- fix: Form filling stops working in some cases.

Version 2.3.468
- updated: Italian translation by Michele Beriola.
- fix: Proper handling of web pages with URLs like server1.host.com, server2.host.com

Version 2.3.465
+ new: Firefox 3.5 support.
- fix: Preserve field bindings when record is moved or copied. 

Version 2.3.463
+ new: Japanese translation. 

Version 2.3.460
- fix: Incorrect data in edit window in some cases.

Version 2.3.459
- fix: Databases are not closed on timeout after folders were created or edited.
- fix: Incorrect data in edit window in some cases.

Version 2.3.457
- updated: Italian translation by Michele Beriola.

Version 2.3.456
- new: "Why this database is Read Only?" item in databases popup menu. It helps to find out why a database is marked as Read Only.

Version 2.3.452
- fix: "Unable to install system hook." error message on Vista 64-bit.

Version 2.3.447
- fix: Wrong initial value of newly added field in existing records.

Version 2.3.445
- fix: "Cannot open shared buffer" error in some cases.

Version 2.3.444
- fix: "Access violation error" error in some cases.

Version 2.3.443
- fix: "Access violation error" error in some cases.

Version 2.3.441
- fix: "Invalid floating point operation" error in some cases.

Version 2.3.439
- improved: Fields are listed in customized order in field bindings comboboxes.
- fix: Filling several form fields with the same database field.

Version 2.3.437
- fix: Password prompt was under grayed window during form filling in some cases.

Version 2.3.435
- fix: "Access violation error" error when copying a field to clipboard in some cases.

Version 2.3.434
- updated: Farsi translation.

Version 2.3.433
- new: Bulgarian translation by Krasimir Tchonov.

Version 2.3.432
- fix: "Unable to install system hook." error message on Vista 64-bit.

Version 2.3.431
- fix: Clone record function does not copy password fields if user is not granted "View passwords in lists" privilege.

Version 2.3.429
- fix: Copy password to clipboard was not logged to Action log.

Version 2.3.427
- fix: Division by zero error during form filling in some cases.

Version 2.3.426
- improved: URL matching during form filling.
- improved: Removing form association with a record.
- updated: Italian translation by Michele Beriola.
- updated: Danish translation by Jakob Kruse.

Version 2.3.423
- fix: Showing of main window on tray icon double click.

Version 2.3.422
- fix: Cannot create backup copy error when saving new database the second time.

Version 2.3.421
- new: Database format was changed. Old versions of Password Manager XP will not be able to open new databases.
- new: ActiveSync synchronization with Password Manager XP Mobile.
- new: Database synchronization can be performed using command line parameters.

Version 2.2.412
- fix: Access Violation error when displaying user logon windows in some cases.

Version 2.2.409
- fix: Adding records to specified folder using command line when a database is not open.

Version 2.2.408
- fix: Firefox 2 integration.

Version 2.2.407
- new: Firefox 3 beta support.

Version 2.2.406
- fix: Connection to Password Manager XP Server was not possible.

Version 2.2.405
- fix: OpenSSL library version conflicts.

Version 2.2.404
- fix: Load local file with registration data if file, specified via Group Policy, is not found.
- fix: "Exception in safecall method" error in some cases.

Version 2.2.403
- updated: Italian translation.
- fix: Disabled system integration debug logging.
- fix: OpenSSL library version conflicts.

Version 2.2.402
- fix: Image selection drop down window when displaying on secondary monitor.

Version 2.2.399
- improved: Logon speed of NT user if there are no NT groups added to a database.

Version 2.2.398
- improved: Installation.
- update: Italian translation.

Version 2.2.397
- fix: Loading of some icons.

Version 2.2.396
- improved: Clipboard monitors detection.
- improved: Do not ask for folder when saving form data if there are no folders in a database.

Version 2.2.395
- new: Setup command line parameters: /NoSampleDB, /NoMultiLang, /NoDocs.
- fix: Access violation error in Firefox on some sites.
- fix: Column appears twice in some cases.
- fix: Silent installation did not upgrade existing installation.

Version 2.2.392
- fix: Text clipping when UI scaling is more than 100%.
- fix: Wrong database icon in main window when the database was opened during form filling.

Version 2.2.391
- update: Italian translation.
- fix: Opening database created by version 1.80-1.97.

Version 2.2.389
- fix: NT authentication errors in some cases.
- fix: Browser integration was always installed when the program run from removable device.

Version 2.2.387
- improved: Encrypt sensitive data in memory for better security.
- fix: NT authentication errors in some cases.
- fix: Silent installation.
- fix: Deletion count was always displayed as 0 during synchronization.
- fix: AV error when opening program using Ctrl+Alt+O global hotkey.

Version 2.2.382
- fix: If file attachments part of a database can not be loaded, a warning is displayed instead of an error.
- fix: Mozilla integration if French interface language is chosen.
- fix: Always display edit record window if user choose to save form data.

Version 2.2.381
- fix: Permission checks if NT user is member of built-in group.
- fix: NT authentication error in some cases.

Version 2.2.379
- fix: NT authentication errors in some cases.

Version 2.2.377
- improved: Logon speed of NT user.
- fix: Always take in account NT group membership of user.

Version 2.2.376
- fix: When user does not have modify privilege he is not able to create new records.

Version 2.2.375
- update: Portuguese (Brazil) translation.
- fix: Internet Explorer integration under limited user account.
- fix: List index out of bounds error during synchronization.

Version 2.2.374
- fix: Internet Explorer integration on Vista when UAC is turned off.
- fix: Access violation error when moving/copying records in some cases.
- fix: Copying password to clipboard when user does not have "View passwords in lists" privilege.

Version 2.2.373
- fix: Access violation error in version 2.2.372 when database have expired records.

Version 2.2.372
- new: Group Policy options: "Disable database properties for non administrator users" and "Hide 'Tools > Go to databases folder' menu item".
- fix: Access denied error when using both "Allow offline access for current user" and "Set the read only attribute for databases at removable media" options in Install to removable device Wizard.
- fix: Web pages with some URLs did not remembered for form filling.

Version 2.2.371
- fix: Application crash when adding many custom images.
- fix: Custom images drawing when several databases are opened.
- fix: Form filling of several web pages using the same record.
- fix: Better error handling if database file can not be opened.

Version 2.2.370
- new: Support for nested AD Universal Groups.
- fix: Program crashes if stored registration data is corrupt.
- fix: Reading of Group Policy template settings under limited user account.

Version 2.2.369
- new: "Database>Repair" command. It checks a database and removes corrupted file attachments.
- improved: Unavailable locations are checked only once to eliminate long timeouts.
- fix: "The password is incorrect" error when extracting/attaching files after database password was changed.
- fix: Cloning of records with duplicate field names.
- fix: NT authentication under limited user account.
- fix: Reading of Group Policy template settings under limited user account.

Version 2.2.368
- fix: Form filling issues after hibernate.
- fix: Folders were not expanded in form filling wizard.

Version 2.2.367
- fix: Run on Windows 2000.
- fix: Form filling for some sites.

Version 2.2.366
- new: Windows Vista support.
- fix: Install to removable device Wizard did not install registration key.

Version 2.2.363
- fix: Application window is displayed behind a browser window during autofilling in some cases.
- fix: Firefox integration installation.
- fix: Firefox 1.0 and Netscape compatibility.
- fix: Taskbar button is wisible if "Start application minimized" option is enabled.
- fix: Out of memory error during database synchronization.
- fix: If record with file attachment is deleted, size of a database is not shrinked immediately after saving.

Version 2.2.360
- new: Support for Firefox 2.0.

Version 2.2.359
- new: Group Policy setting "Database file name template".
- new: Title column in action log.
- new: "Hide passwords" option for action log printing.
- update: Policy values can be set in "HKCU\Software\Password Manager XP\Policies" key.
- update: Expired records are checked every new day if Password Manager XP is running for long time.
- update: German, Italian, Chinese translations.
- improved: Printing speed.
- fix: Folders list preserves expanded/collapsed state of folders after refresh.
- fix: Loading of custom icons.

Version 2.2.357
- fix: Inactivity timeout after resume from standby/hibernate.
- fix: Error message when running using RunAs.
- fix: Automatic form data saving did not work properly if only one database is created.
- fix: Loading of icons when width and height are not equal.

Version 2.2.353
- improved: Danish translation.
- fix: Crash when running on 64 bit Windows.
- fix: IETAB Firefox extension crash.
- fix: Databases are not closed by inactivity timeout if the program was running for a long time.

Version 2.2.350
- new: Database format was changed. Old versions of Password Manager XP will not be able to open new databases.
- new: Professional edition of Password Manager XP.
- new: Files can be stored inside a database.
- new: Fully automatic form filling and data saving in supported browsers.
- new: Support for combobox and listbox controls in form filling.
- new: Custom images can be used as icons for records and folders.
- new: Synchronization of databases.
- new: User rights: View passwords in lists, Modify files, Extract files, Form filling.
- new: Users can be disabled.
- new: Cut, Copy, Paste operations for folders and records.
- new: Database option 'Remember sort order'.
- new: Auto backup options can be specified per database.
- new: Inactivity timeout can be specified per database.
- new: Field type "Checkbox" and option "Predefined values" for "String" field.
- new: For each field a default value can be specified.
- new: Support for multi-monitor configurations.
- new: Support for Netscape 8.1 and experimental support for Internet Explorer 7 beta2.
- new: Option to set action for double click (Edit record or Copy password to clipboard).
- new: Program's options can be configured using AD Group Policy administrative template. 
- new: Pro only: User actions logging: Open DB, Logon, View password, Print, Export, Fill form.
- new: Pro only: Built-in user groups.
- improved: User computer name and IP address are recorded in action log.
- improved: mailto:my@email.com can be used as URL to launch mail client for specified e-mail.
- improved: If NT user is member of several NT groups, all groups are processed when permissions are calculated.
- improved: Folders tree is scrolled during drag'n'drop operations.
- improved: Records can be sorted in descending order. Current sort order is displayed in column header.
- improved: Inactivity timeout can be up to 9999 seconds.
- improved: Double confirmation when deleting a database.
- improved: Single functional key (F2-F24) can be set as hotkey.
- improved: Size of fill/save form wizard is saved.
- improved: Folders tree is not fully expanded while searching.
- improved: New registration data can be entered using 'About\Register...' menu item.
- improved: Help file.
- fix: Multiline text edited in separate window is saved if database was closed due inactivity timeout.
- fix: internal enhancements and bug fixes.

Version 2.1.330
- fix: Access violation error when customizing fields.
- fix: Empty NT user name in list if domain length is 15 characters.

Version 2.1.328
- fix: "Invalid argument to date encode." error.

Version 2.1.326
- fix: Form filling issues. 

Version 2.1.325
- fix: Form filling issues. 

Version 2.1.322
- new: Added Farsi translation.
- update: Korean translation.
- improved: Firefox integration.
- fix: "Record was deleted by other user" error when database was closed by inactivity timeout and concurrent writes was enabled.

Version 2.1.320
- improved: Reliability in concurrent writes mode.
- fix: Internet Explorer toolbar button did not invoke Password Manager XP.

Version 2.1.318
- new: Support for Microsoft Fingerprint Reader.
- new: Installer command line switch /A to force program group and browser integration for all users.
- fix: Unable to safely remove USB drive after database backup or restore using this device.
- fix: In some case a database was set to read only mode when user made changes to the database in concurrent writes mode.

Version 2.1.314
- new: "Allow offline access for current user" option for Install to removable device wizard.
- fix: Search function did not work properly in some cases.
- fix: Each failed logon attempt blocks a database for +1 second. Automated password guessing makes no sense now.
- fix: Search string is limited to 300 characters now.
- fix: Password length input field is limited to 3 characters.

Version 2.1.311
- new: Option "Remember last database user name".
- improved: Stability in case of concurrent writes.
- fix: Search function did not work properly in some cases.

Version 2.1.310
- new: Support for Firefox 1.5
- fix: Wrong position of field selection boxes for some sites.
- fix: Error message "Can't clear clipboard" in some cases.

Version 2.1.309
- fix: 'Quick install to removable device' function was enabled even if corresponding restriction was set.
- fix: Unchecked state of date fields was not saved.

Version 2.1.307
- fix: Drag'n'drop did not work under terminal session.

Version 2.1.306
- fix: Firefox popup integration did not work in some cases.

Version 2.1.305
- fix: Form filling for some sites.
- fix: Firefox popup integration did not work in some cases.

Version 2.1.303
- improved: Italian translation. 
- improved: Danish translation. 

Version 2.1.300
- new: Sample database.
- fix: Focus was moved to previous input field while typing in some rare cases.

Version 2.1.299
- new: Non-admin users can view objects permissions.

Version 2.1.298
- new: Slovenian translation was added.

Version 2.1.297
- fix: Search when PwdManager.ini file is read only.

Version 2.1.296
- new: Hungarian translation was added.

Version 2.1.295
- new: Form filling support for Mozilla Firefox 1.0+, Mozilla 1.7+, Netscape Navigator 7.2+.
- new: Name of current database user is shown in the program's titlebar.
- new: Option "Enable drag'n'drop for objects moving and copying".
- new: Option "Close databases when application is minimized".
- new: Option "Alternate colors of rows". 
- new: Print template option "Alternate colors of rows". 
- new: Quick install to removable device command. 
- improved: Install to removable device Wizard options are saved.
- improved: Options window.
- improved: Database files are renamed when database file name template is changed.
- improved: Characters are wrapped if text does not fit column width while printing.
- improved: Multiline text is printed if report type is card.
- improved: Folders are printed in alphabetical order.
- fix: Database is not restored from backup if path of first location is invalid.
- fix: Incorrect printing font kerning.
- fix: User with only "Insert data" privilege can not add new records.
- fix: The program is launched at Windows startup for no reason in some cases.
- fix: Incorrect data in records list in some cases.
- fix: Incorrect tab order when changing database password.
- fix: Form filling at some sites.

Version 2.0.284
- Bug with concurrent database update was fixed.
- Some needed warning messages were added for user management procedure.

Version 2.0.283
- Turkish and Romanian languages were added.
- Form filling was fixed for some sites.
- Now Password Manager XP does not loose focus after task switching and closing modal form.
- Installing to removable device was fixed.

Version 2.0.281
- Folder names are printed now.
- Option "Disable startup screen graphics" was added.
- Columns layout saving bug was fixed.

Version 2.0.280
- Fixed "List index out of bounds" error while form filling/saving.
- Records list was incorrectly updated after inserting/cloning records.

Version 2.0.278
- Record cloning was fixed.

Version 2.0.277
- Web pages filling fixed.
- Expired records folder is selected when database is opened now.
- Some bugs were fixed.

Version 2.0.276
- Internet Explorer popup menu integration is back.

Version 2.0.275
- Web forms filling fixed.
- Some bugs were fixed.

Version 2.0.274
- Folders are created while importing data now.

Version 2.0.273
- Database and folder fields can be fully customized. It is possible to add/modify/remove fields for individual folder or entire database.
- Autofill function has been added. Currently it works in Internet Explorer and most of ordinary Windows applications. Support for Mozilla/Firefox will be added soon.
- Support of system wide hotkeys were added.
- The following items were added to tray icon menu: Save form, Fill form, Generate password.
- An option "Tray icon always visible" was added.
- Modern style Active Directory user browser dialog.
- Tab pages can be switched using Ctrl+Tab and Ctrl+Shift+Tab keys.
- Record's icon is cloned too on clone operation.
- Many internal enhancements and bug fixes.

Version 1.99.252
- Portuguese (Brazil) translation was added.

Version 1.99.251
- Hebrew and Polish translations were added.

Version 1.99.250
- Bug with folders tree width while inserting password into Internet Explorer was fixed.

Version 1.99.248
- Lithuanian translation was added.

Version 1.99.247
- Some bugs were fixed.

Version 1.99.246
- Norwegian translation was added.

Version 1.99.243
- Czech translation was added.

Version 1.99.242
- Croatian translation was added.
- Greek translation was updated.

Version 1.99.240
- Italian translation was updated and corrected.

Version 1.99.237
- French translation was updated and corrected.
- Bug with Description field while cloning record was fixed.

Version 1.99.236
- Non administrator users can view other users permissions.
- If Windows user belongs to several groups, the most privileged group is used on user logon. 

Version 1.99.234
- Filter by action in changes log was fixed.
- German translation was added.

Version 1.99.232
- Quick search when inserting password into IE was fixed.

Version 1.99.229
- Greek translation was added.
- Password can be pasted from clipboard after username or account was pasted.
- Large toolbar buttons option is saved.
- Columns setup bug fixed.

Version 1.99.227
- Passwords databases format was changed. Old versions of Password Manager XP will not be able to open new databases.
- Concurrent write access to a database for multiple users.
- Per folder/record permissions.
- Non-admin users can change their passwords.
- Undo support.
- Clipboard monitor applications detection.
- User interface font can be changed and scaled. 
- ClearType technology is supported now.
- Dutch, Spanish, Chinese translations were added.
- Bug in print preview was fixed.
- Some other bugs were fixed.

Version 1.96.213
- Added support for NT authentication of database users.
- Added category images for password records and folders.
- Improved password generator. Added character exclusion and password template.
- Now it is possible to update expired passwords in database using Internet Explorer popup menu ("Save password to Password Manager XP" item).
- Italian translation added.
- Rare error when inserting password into Internet Explorer was fixed.
- Crash on exit at Windows 9x/Me was fixed.
- Some other bugs were fixed.

Version 1.95.203
- Passwords databases format was changed. Old versions of Password Manager XP will not be able to open new databases.
- Passwords database file singnature was changed. The database files are non-descriptive now.
- Now it is possible to copy records/folders using drag'n'drop while holding Ctrl key.
- 'Clone record' command was added.
- New user privilege 'View passwords' was added. If user is not granted such privilege, he is unable to view passwords stored in the database. He is allowed to insert passwords into web pages only.
- An option to print each record on a new page was added to the print window.
- An option to specify the database file name template was added.
- A text descripton for databases was added.
- An option to set a read only attribute for databases in Install to removable device Wizard was added.
- Now it is possible to open passwords databases in a read only mode when the trial period was expired.
- Now it is possible to edit predefined print templates.
- Some bugs were fixed.

Version 1.9.197
- Russian localization added.

Version 1.9.195
- French, Danish, and Slovak localizations added.
- Database autoclosure timeout is specified in seconds now.
- Now 'Go to passwords databases folder' command selects the file of currently selected database in explorer. 
- Fix: 'Close to system tray' option did not work when 'Minimize to system tray' option was not set.
- Fix: Error when databases autoclosure, if add new record window is active.
- Fix: The & symbol did not print.

Version 1.9.193
- Swedish and Korean localizations added.
- Some bugs fixed.

Version 1.9.189
- Support for multilingual user interface added.
- Fix: program did not close on system shutdown when 'Close to system tray' option was enabled.
- Some bugs fixed.

Version 1.9.183
- Now it is possible to add new records using command line. See help for details.
- The Restrictions page was added to a program's options. Restrictions is useful in multi-user environment. The following restrictions can be specified: 
   * Disable 'Locations' and 'Backup' options pages; 
   * Disable restoring of passwords databases from backup; 
   * Disable Install to removable device wizard.
- Added 'Close application to the system tray', 'Start application minimized', 'Expand folders tree when database was opened' options.
- Now an encryption algorithm key length is displayed in database properties window.
- Locate command added for items in 'Expired passwords' virtual folder. This command locates selected item in its original folder.
- Internet Explorer integration now works when running Password Manager XP from network share or removable device.
- Edit description window now accepts tabs.
- Fixed a shortcut Ctrl+1
- Fixed bug when creating several new databases without saving each one first.

Version 1.8.167
- Quick search in passwords list fixed. 
- Dramatically improved display speed of password records.

Version 1.8
- Passwords databases format was changed. Old versions of Password Manager XP will not be able to open new databases.
- Added data import from CSV and TXT files.
- Columns layout is saved for each database separately now.
- Added an option to install print templates in the 'Install to removable device Wizard'.
- Added 'View\Description preview' menu item which allow to view selected item's description at the bottom of the screen.
- Added an ability to edit item's description in a separate window.
- Some bugs fixed.

Version 1.7
- Passwords databases format was changed. Old versions of Password Manager XP will not be able to open new databases.
- Added controls to copy 'User name' and 'Account' fields to clipboard.
- Added separate user permissions for insert, modify, delete data.
- Added an option to enable/disable logging of data changes inside a database.
- Added button to delete currently selected data changes in Changes log window.
- Now it is possible to set password's expiry time in days.
- Some bugs fixed.

Version 1.6
- Passwords databases format was changed. Old versions of Password Manager XP will not be able to open new databases.
- Added printing with ability to create custom print templates.
- Now it is possible to define users in each passwords database. Each user has own password and user rights.
- All data changes are logged now. To view or print changes log choose 'View/Changes log...' or 'View/Full changes log...' menu item.
- Added a 'Modified by' column which displays a user who made last changes to a record.
- Added 'Expired passwords' virtual folder that contains all expired passwords in the database.
- Added 'Clear clipboard' command.
- Now it is possible to show all available devices in the 'Install to removable device Wizard'.
- Export options now saved.
- Added 'Tools/Password generator...' menu item.
- Added large/small toolbar icons selection.

Version 1.5
- Added data export to CSV and TXT files.
- Now it is possible to show Password column in the list of password records.

Version 1.4

- Added wizard that installs the Password Manager XP to the removable devices such a USB flash drives. You can run Password Manager XP and work with passwords databases directly on removable device. This wizard can be launched using 'Tools/Install to removable device Wizard' menu item.
- Added command to refresh passwords databases list - 'Database/Refresh list' menu item or F5 key.
- Added search feature.

Version 1.3

- Added an option  to specify several folders to search for passwords databases.
- Now it is possible to access the same passwords databases from multiple computers across the network.
- Now it is possible to specify location where passwords database will be stored.
- Added option to specify default state of the 'Show password' checkbox in the password edit dialog.
- Some bugs fixed.
- Improved installer.

Version 1.2

- Backup and restore of the password databases.
- Option to make backup copies of databases before saving.
- Password that was copied into clipboard can be pasted within 1 minute only.
- After copying password into clipboard you may paste password and then user name of the same record.
- Number of opened bases is displayed in the tray icon tooltip.
- Positioning on the appropriate record is optimized when inserting password into Internet Explorer.
- While inserting password into Internet Explorer you may set the option to copy contents of the user name field into clipboard. 
- When only one passwords database is present the open dialog is appearing while inserting or 
saving passwords in the Internet Explorer.
- New option: Minimal length of the database password. 
- Menu item (Tools/Go to passwords databases folder) to open folder where passwords databases files are located.
- Some user interface changes.

Version 1.1

- integration into Microsoft Internet Explorer;
- program can be minimized to system tray;
- ability to check for expired passwords on Windows start.

Version 1.0

- initial release;
